'use strict';

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * Copyright IBM Corp. 2016, 2023
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */


const IdPrefixContext = /*#__PURE__*/React__default.default.createContext(null);
function useIdPrefix() {
  return React__default.default.useContext(IdPrefixContext);
}

exports.IdPrefixContext = IdPrefixContext;
exports.useIdPrefix = useIdPrefix;
